Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault.credentials
Interface JaasSubjectPassiveCredential

All Superinterfaces:
  Credential, PassiveCredential

All Known Implementing Classes:
  JaasSubjectPassiveCredential

    public interface JaasSubjectPassiveCredential

extends PassiveCredential

This Credential is only a container of the user's secret. Portlets may call the getSecret() method in order to obtain and work with this secret.

Since:
  5.1.0.1

Field Summary

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Method Summary
`javax.security.auth.Subject` | `getSecret()` Returns the user's secret as an Jaas Subject.
`int` | `getSecretType()` Returns credential's Secret Type in terms of the constants declared in (@link CredentialSecret) Should be overwritten by any child class that "overwrites" the secret attribute.
`void` | `init(java.util.Map<java.lang.String,java.lang.Object> config)` Initializes a new JaasSubjectPassiveCredential.

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.PassiveCredential
`isActive`

Method Detail

### init

    void init(java.util.Map<java.lang.String,java.lang.Object> config)
              throws CredentialVaultException

  Initializes a new JaasSubjectPassiveCredential.

  Specified by:
    `init` in interface `Credential`
  Parameters:
    `config` - The configuration needed to initialize this credential:
    - KEY_CREDENTIAL_SECRET JaasSubjectCredentialSecret - the credential's secret (mandatory)
  Throws:
    `CredentialVaultException` - If any mandatory parameter is missing or has a wrong object type as value.

### getSecretType

    int getSecretType()

  Returns credential's Secret Type in terms of the constants declared in (@link CredentialSecret) Should be overwritten by any child class that "overwrites" the secret attribute.

  Specified by:
    `getSecretType` in interface `Credential`
  Returns:
    int Credential Secret type identifier
  See Also:
    `CredentialVaultService`

### getSecret

    javax.security.auth.Subject getSecret()

  Returns the user's secret as an Jaas Subject.

  Returns:
    Subject The user's secret.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD